summaryrefslogtreecommitdiff
path: root/tests/install/basic-1
diff options
context:
space:
mode:
Diffstat (limited to 'tests/install/basic-1')
-rwxr-xr-xtests/install/basic-110
1 files changed, 6 insertions, 4 deletions
diff --git a/tests/install/basic-1 b/tests/install/basic-1
index 30338157b..f44f5f0f1 100755
--- a/tests/install/basic-1
+++ b/tests/install/basic-1
@@ -3,6 +3,7 @@
: ${MKDIR=mkdir}
: ${RM=rm}
: ${INSTALL=install}
+: ${LS=ls}
dir=dir
file=file
@@ -30,10 +31,11 @@ test -f $dir/$file || fail=1
$INSTALL -s -c -m 555 ../../src/dd $dir || fail=1
# Make sure the dest file has been created.
test -f $dir/dd || fail=1
-# ...and that it is readable and executable but not writable.
-test -r $dir/dd || fail=1
-test -x $dir/dd || fail=1
-test -w $dir/dd && fail=1
+
+# ...and that the permissions are as requested.
+set X `$LS -l $dir/dd`
+shift
+test "$1" = -r-xr-xr-x || fail=1
$RM -rf $dir $file